vpx_rc_gop_decision Struct Reference

The decision made by the external rate control model to set the group of picture. More...

`#include <vpx_ext_ratectrl.h>`

## Data Fields

int | gop_coding_frames
int | use_alt_ref
int | use_key_frame
vpx_rc_frame_update_type_t | update_type [250+2]
int | update_ref_index [250+2]
vpx_rc_ref_frame_t | ref_frame_list [250+2]

## Detailed Description

The decision made by the external rate control model to set the group of picture.

## Field Documentation

## gop_coding_frames

int vpx_rc_gop_decision::gop_coding_frames

The number of frames of this GOP

## use_alt_ref

int vpx_rc_gop_decision::use_alt_ref

Whether to use alt ref for this GOP

## use_key_frame

int vpx_rc_gop_decision::use_key_frame

Whether to set key frame for this GOP

## update_type

vpx_rc_frame_update_type_t vpx_rc_gop_decision::update_type[250+2]

Frame type for each frame in this GOP. This will be populated to |update_type| in GF_GROUP defined in vp9_firstpass.h

## update_ref_index

int vpx_rc_gop_decision::update_ref_index[250+2]

Ref frame buffer index to be updated for each frame in this GOP.

## ref_frame_list

vpx_rc_ref_frame_t vpx_rc_gop_decision::ref_frame_list[250+2]

Ref frame list to be used for each frame in this GOP.

The documentation for this struct was generated from the following file:

- vpx/vpx_ext_ratectrl.h